"""Peewee migrations -- 170_MAIN.py.

Add auto_print_to_printer_event_continuous field to Setup for separate default in continuous mode.
"""

import peewee as pw
from peewee_migrate import Migrator


def migrate(migrator: Migrator, database: pw.Database, *, fake=False):
    """Write your migrations here."""

    migrator.add_fields(
        'setup',

        auto_print_to_printer_event_continuous=pw.IntegerField(default=7))


def rollback(migrator: Migrator, database: pw.Database, *, fake=False):
    """Write your rollback migrations here."""

    migrator.remove_fields('setup', 'auto_print_to_printer_event_continuous')
